//  main: main.less, out: ../style.css

/* ====================================================================================================================================
GLOBAL STYLES
======================================================================================================================================*/

// HEADER
header {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    font-family: @font_base;
    font-size: @size__m;
    color: @color-primary;
    width: 100%;
    height: @header__h;
    background-color: white;
    padding: 0 @margin__m;
    z-index: 999;
    .u-flex-display;
    .u-justify-content(space-between);
    .u-align-items(center);

    h1 {
        margin: 0;
    }

    &:after,
    &:before {
        display: none;
    }

}

.site-branding {
    h1 {
        font-size: @size__m;
        text-transform: uppercase;
    }

}

.custom-logo {
    max-width: initial;
}

// NAV MENU
.main-navigation {
    //width: calc(100% ~"-"400px);
    //width: @navmenu__w;

    a {
        color: @color-primary;
        text-transform: lowercase;
        text-decoration: none;
        white-space: nowrap;
        padding: 0 15px;
        height: @navItem__h;
        line-height: @navItem__h;
        letter-spacing: .5px;
        .u-noselect;
        .transition-elastic;

        &:hover {
            color: @color-secondary;
        }
    }

    .menu,
    ul {
        list-style-type: none;
        margin: 0;
        padding: 0;
    }

    .menu {
        .u-flex-display;
        .u-justify-content(space-between);

        &>.menu-item {
            position: relative;
            text-align: left;

            &.current_page_item {
                &>a {
                    color: @color-secondary;

                }
            }

            a {
                display: block;

                &:focus {
                    outline: none;
                }
            }

            &>.sub-menu {
                position: absolute;
                top: @navItem__h + 10px;
                right: 0;
                visibility: hidden;
                opacity: 0;
                background-color: @color-alpha;
                .transition-elastic--long;

                .menu-item {
                    font-weight: @font_w__l;
                }

                .sub-menu .menu-item {
                    position: relative;
                    padding-left: 16px;
                    font-weight: @font_w__b;

                    &:after {
                        position: absolute;
                        content: '';
                        display: block;
                        left: 15px;
                        top: 50%;
                        height: 2px;
                        width: 8px;
                        .u-transform(rotate(45deg));
                        background-color: @color-white;

                    }
                }
            }

            @media @media_landascape,
            @media_desktop,
            @media_full {
                &:hover {
                    &>.sub-menu {
                        top: @navItem__h;
                        visibility: visible;
                        opacity: 1;
                    }
                }
            }
        }
    }
}

// NAV MOBILE
.c-nav__mobile {
    display: none;
}

@media @media_tablet,
@media_smartphone {
    header {
        font-size: @size__xl;
        padding: @margin__s @margin__m 0;
        height: @header__h_phone;
        line-height: @header__h_phone;
    }

    .c-nav__mobile {
        position: relative;
        display: block;
        height: 20px;
        width: 30px;
        cursor: pointer;
        margin-bottom: 15px;

        .line {
            position: absolute;
            left: 0;
            height: 1px;
            width: 100%;
            background-color: @color-text;
            .transition-elastic;

        }

        .line--1 {
            top: 0;
            .u-transform(scale(1));
        }

        .line--2,
        .line--3 {
            top: 50%;
            .u-transform(rotate(0deg));
        }

        .line--4 {
            bottom: 0;
            .u-transform(scale(1));
        }
    }

    .main-navigation {
        position: absolute;
        display: none;
        padding: @margin__m;
        overflow: scroll;
        top: @header__h_phone;
        left: 0;
        right: 0;
        bottom: 0;
        height: calc(100vh ~'-'@header__h_phone);
        width: 100%;
        z-index: 999;
        background-color: @color-alpha;

        a {
            color: white;
            padding: 0;
            height: @navItem__h_phone;
            line-height: @navItem__h_phone;
        }

        .menu-nav-container {
            .menu {
                .u-flex-direction(column);

                &>.menu-item {

                    &>.sub-menu {
                        padding-left: 10px;
                        position: static;
                        top: @navItem__h;
                        visibility: visible;
                        opacity: 1;
                        right: initial;
                        background-color: transparent;
                        display: none;

                        &.isOpen {
                            display: block;
                        }

                        .sub-menu .menu-item {
                            padding-left: 30px;
                        }

                        &>.menu-item>a {
                            position: relative;
                            padding-left: 15px;

                            &:after {
                                position: absolute;
                                content: '';
                                display: block;
                                left: 0;
                                top: 50%;
                                height: 2px;
                                width: 8px;
                                background-color: @color-white;
                                .u-transform(rotate(-45deg));

                            }
                        }
                    }
                }
            }
        }
    }


    body.openMenu {
        .c-nav__mobile {

            .line--1 {
                top: 0;
                .u-transform(scale(0));
            }

            .line--2 {
                top: 50%;
                .u-transform(rotate(-45deg));
            }

            .line--3 {
                top: 50%;
                .u-transform(rotate(45deg));
            }

            .line--4 {
                bottom: 0;
                .u-transform(scale(0));
            }
        }

        .main-navigation {
            display: block;
        }
    }
}

@media @media_smartphone {
    header {
        font-size: @size__l;
        padding: @margin__s @margin__s 0;
    }

    .main-navigation {
        padding: @margin__s;

        a {
            height: @navItem__h;
            line-height: @navItem__h;
        }
    }
}

//ANCHOR NAV
.c-anchor-nav {
    position: fixed;
    top: @header__h;
    left: 0;
    right: 0;
    height: 40px;
    background-color: @color-white;
    z-index: 199;
    .u-shadow(0 10px 25px -10px rgba(0, 0, 0, 0.20));
    .u-flex-display;
    .u-align-items(center);

    .inner {
        .u-flex-display;
        .u-justify-content(space-between);
        .u-align-items(center);
    }

    a {
        color: @color-primary;
        font-size: @size__s;
        font-weight: @font_w__b;
        text-transform: uppercase;
        text-decoration: none;
        white-space: nowrap;
        padding: 0;

        .transition-elastic;

        &:hover {
            color: @color-secondary;
        }
    }

    @media @media_smartphone,
    @media_tablet {
        display: none;
    }
}

// EXTRA
.nomargintop {
    margin-top: 0;
}

.cleafloat {
    clear: both;
}

// COOKIE BAR
#cookie-notice {
    position: fixed;
    width: 340px;
    min-width: initial;
    bottom: 20px;
    left: 20px;
    right: initial;
    padding: @margin__s;
    .u-shadow(0 0 40px 0 rgba(0, 0, 0, 0.2));
    .u-border-radius(8px);
    .animation__cookie;
    .transition-elastic--long;

    &:hover {
        .u-shadow(0 0 30px 0 rgba(0, 0, 0, 0.3));
    }

    #cn-notice-text {
        margin-bottom: 20px;
        text-align: left;
    }

    .cookie-notice-container {
        .u-flex-display;
        .u-align-items(center);
        .u-justify-content(space-between);
        .u-flex-wrap(wrap);
    }

    .o-button {
        margin: 0 10px 0 0;
        min-width: 45%;
        color: white;
    }

    .cn-more-info {
        width: 100%;
        margin-top: 10px;
        background-color: @color-text;
    }

    @media @media_smartphone {
        width: 90%;
        right: 5%;
        left: 5%;
    }
}